> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/oversikt-over-geopard-api-foresporsler/55.-last-opp-zip-filer-over-6-mb.md).

# 55. Last opp zip-filer (over 6 MB)

Som en teknisk begrensning hos AWS skytilbyderen må opplasting av filer større enn 6 MB gjøres i 2 trinn:

#### **1. Be om den forhåndssignerte lenken for videre direkte opplasting.**  <a href="#step1" id="step1"></a>

Som input:&#x20;

* `fileType` - `avling` ELLER `jord` ELLER `utført` ELLER `adapt` ELLER `grense`,&#x20;
* `farmUuid` (valgfritt) - uuid for gården som filen skal importeres til.&#x20;

Som output:

* `uuid` - den forventede uuid etter opplasting og behandling,
* `farmUuid` - det samme som input,
* `fileType` - det samme som input,
* `s3Url` - URL-en som brukes for å laste opp filen,
* `s3Fields` - attributter som skal sendes i opplastingsskjemaet.

Detaljene om hvordan du bruker `s3Url` og `s3Fields` er beskrevet i andre trinn.&#x20;

Attributtene er gyldige i kun 60 minutter for å laste opp filen.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Send en lokal fil til s3Url med forhåndsdefinerte skjemaattributter fra s3Fields.**  <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \\
--form 'key="<value_in_s3Fields>"' \\
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \\
--form 'x-amz-security-token="<value_in_s3Fields>"' \\
--form 'policy="<value_in_s3Fields>"' \\
--form 'signature="<value_in_s3Fields>"' \\
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Varsler om behandlingen vil bli levert via abonnementsmekanismen beskrevet i\
&#x20;[1. Abonnement: Hent hendelser](/geopard-tutorials/nor/api-dokumentasjon/oversikt-over-geopard-api-foresporsler/1.-abonnement-hent-hendelser.md).

{% hint style="info" %}
Svarheaderen inkluderer en `Etag` header, som vises for eksempel som `Etag: "6fd3e76992738357ab50039f2c60024e"`. Denne verdien brukes senere i GraphQL [query getPlatformContext](/geopard-tutorials/nor/api-dokumentasjon/oversikt-over-geopard-api-foresporsler/83.-sporring-hent-plattformkontekst.md) for å overvåke behandlingsforløpet, samt tilknytningen til enhetene "Field", "AsAppliedDataset", "YieldDataset" og "SoilDataset".
{% endhint %}

{% hint style="info" %}
Bruk `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/oversikt-over-geopard-api-foresporsler/55.-last-opp-zip-filer-over-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
